<?php 
/* 
 * 	   Copyright 2010 WALTHER Jrmy & MOLE Bruno
 *    Zoku Server
 *    Version 1.0-beta
 *    
 *    Contact the authors :
 *    WALTHER Jrmy	: jeremy.walther@ftad.fr
 *    MOLE Bruno		: bruno.mole@ftad.fr
 *    
 *    This file is part of Zoku Server.
 *
 *    Zoku Server is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    Zoku Server is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with Zoku Server.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
?>
<?php
    
$zs_parser_headers_lastTag = "";
$zs_parser_headers_isInSession = false;
$zs_user_username = "";
$zs_user_password = "";

function zs_parser_headers_OpenTag($parser, $tag, $attributes)
{
	global $zs_parser_headers_isInSession;
	
	if ($tag == "SESSION")
	{
		$zs_parser_headers_isInSession = true;
	}
	
	if ($zs_parser_headers_isInSession)
	{
		global $zs_parser_headers_lastTag;
		$zs_parser_headers_lastTag = $tag;
	}
}

function zs_parser_headers_CloseTag($parser, $tag)
{
	global $zs_parser_headers_lastTag;
	$zs_parser_headers_lastTag = "";
	
	global $zs_parser_headers_isInSession;
	if ($zs_parser_headers_isInSession && $tag == "SESSION")
	{
		$zs_parser_headers_isInSession = false;
	}
}

function zs_parser_headers_Text($parser, $text)
{
	global $zs_parser_headers_isInSession;
	
	if ($zs_parser_headers_isInSession)
	{
		global $zs_parser_headers_lastTag;
		
		switch ($zs_parser_headers_lastTag)
		{
			case "USERNAME" : 
				global $zs_user_username;
				$zs_user_username = $text;
				break;
			case "PASSWORD" :
				global $zs_user_password;
				$zs_user_password = $text;
				break;
		}
	}
}

    
$zs_parser_headers = xml_parser_create();

xml_set_element_handler($zs_parser_headers, "zs_parser_headers_OpenTag", "zs_parser_headers_CloseTag");

xml_set_character_data_handler($zs_parser_headers, "zs_parser_headers_Text");

$zs_parser_headers_file = $zs_server_postdata;
xml_parse($zs_parser_headers, $zs_parser_headers_file, false) or die("500, Error while reading headers");

xml_parser_free($zs_parser_headers);
unset($zs_parser_headers_file);
    
?>