<?php 
/* 
 * 	   Copyright 2010 WALTHER Jrmy & MOLE Bruno
 *    Zoku Server
 *    Version 1.0-beta
 *    
 *    Contact the authors :
 *    WALTHER Jrmy	: jeremy.walther@ftad.fr
 *    MOLE Bruno		: bruno.mole@ftad.fr
 *    
 *    This file is part of Zoku Server.
 *
 *    Zoku Server is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    Zoku Server is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with Zoku Server.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
?>
<?php

class ZS_Base
{
	private $db_link;
	private $ref;
	private $prefix;
	
	function __construct()
	{
		global $zs_object_ref;
		$this->ref = $zs_object_ref++;
		
		global $zs_object_cnt;
		$zs_object_cnt++;
		
		global $zs_dblink;
		$this->db_link = $zs_dblink;
		
		global $zs_db_pref;
		$this->prefix = $zs_db_pref;
	}
	
	function __destruct()
	{
		global $zs_object_ref;
		$zs_object_ref--;
	}
	
	function __toString()
	{
		return "ZokuObject_".__CLASS__."_ref_".$this->ref;
	}
	
	public final function getRef()
	{
		return $this->ref;
	}
	
	public final function getDBLink()
	{
		return $this->db_link;
	}
	
	public final function setDBLink($db_link = "")
	{
		if($db_link == "")
		{
			global $db_link;
		}
		$this->db_link = $db_link;
	}
	
	public final function getDBPrefix()
	{
		return $this->prefix;
	}
}

?>