<?php 
/* 
 * 	   Copyright 2010 WALTHER Jrmy & MOLE Bruno
 *    Zoku Server
 *    Version 1.0-beta
 *    
 *    Contact the authors :
 *    WALTHER Jrmy	: jeremy.walther@ftad.fr
 *    MOLE Bruno		: bruno.mole@ftad.fr
 *    
 *    This file is part of Zoku Server.
 *
 *    Zoku Server is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    Zoku Server is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with Zoku Server.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
?>
<?php
    
$zs_classes_vars_info_file = $zs_site_root."classes_vars_info.xml";
$zs_classes_vars_info = array();
$zs_parser_lastTag = "";
$zs_parser_lastClass = "";

function zs_parser_OpenTag($parser, $tag, $attributes)
{
	global $zs_parser_lastTag;
	$zs_parser_lastTag = $tag;
	
	if ($tag == "CLASS")
	{
		global $zs_parser_lastClass;
		$zs_parser_lastClass = $attributes['NAME'];
	}
	
	if ($tag == "VAR")
	{
		$key = $attributes['NAME'];
		$value = "";
		
		if ($attributes['PUBLIC'] == "true")
		{
			$value .= "PUBLIC ";
		}
		else
		{
			$value .= "PRIVATE ";
		}
		
		if ($attributes['REQUIRED'] == "true")
		{
			$value .= "REQUIRED ";
		}
		
		if ($attributes['USED'] == "true")
		{
			$value .= "USED ";
		}
		
		global $zs_classes_vars_info;
		global $zs_parser_lastClass;
		$zs_classes_vars_info[$zs_parser_lastClass][$attributes['NAME']] = $value;
	}
}

function zs_parser_CloseTag($parser, $tag)
{
	global $zs_parser_lastTag;
	$zs_parser_lastTag = "";
}

    
$zs_parser = xml_parser_create();

xml_set_element_handler($zs_parser, "zs_parser_OpenTag", "zs_parser_CloseTag");

    
$zs_fp = fopen($zs_classes_vars_info_file, "r");
if (!$zs_fp)
{
	die("500, Cannot open configuration file");
}

while ($zs_parser_line = fgets($zs_fp, 1024)) 
{
	xml_parse($zs_parser, $zs_parser_line, feof($zs_fp)) or die("500, Error while reading configuration file");
}
    
xml_parser_free($zs_parser);
fclose($zs_fp);
    
?>